package com.xjrsoft.module.material.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.common.page.PageOutput;
import com.xjrsoft.module.material.dto.MaterialTypePageDto;
import com.xjrsoft.module.material.entity.MaterialType;
import com.xjrsoft.module.material.vo.MaterialTaskAssignListVo;
import com.xjrsoft.module.material.vo.MaterialTypePageVo;
import com.xjrsoft.module.material.vo.MaterialTypeVo;

import java.util.List;

/**
* @title: 材料提交任务类型
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/

public interface IMaterialTypeService extends MPJBaseService<MaterialType> {
    /**
    * 新增
    *
    * @param materialType
    * @return
    */
    Boolean add(MaterialType materialType);

    /**
    * 更新
    *
    * @param materialType
    * @return
    */
    Boolean update(MaterialType materialType);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    PageOutput<MaterialTypePageVo> getPage(MaterialTypePageDto dto);

    MaterialTypeVo getInfoById(Long id);

    List<MaterialTypeVo> listMaterialTypeVo();
    void handleFileAndTemplate(MaterialTaskAssignListVo materialTaskAssignListVo, String category);
}
